Bug 1273886 - swift service is created in different region
swift service is created in different region
Status: CLOSED WORKSFORME
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity medium
: ---
: 7.0 (Kilo)
Assigned To: Martin Magr
yeylon@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 08:58 EDT by Martin Pavlásek
Modified: 2016-04-18 02:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-23 05:56:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Pavlásek 2015-10-21 08:58:15 EDT
Description of problem:
Packstack create swift service in "regionOne", but all other services are in "RegionOne"

Version-Release number of selected component (if applicable):
openstack-packstack-puppet-2015.1-0.11.dev1589.g1d6372f.el7ost.noarch
openstack-packstack-2015.1-0.11.dev1589.g1d6372f.el7ost.noarch
RHEL 7.1

How reproducible:
1/1

Steps to Reproduce:
1. run packstack with CONFIG_KEYSTONE_REGION=RegionOne
2. source keystonerc_admin 
3. keystone endpoint-list | grep -v RegionOne
(4.) keystone service-get 1d219df84e8f47f6a531856996e612c7
+-------------+----------------------------------+
|   Property  |              Value               |
+-------------+----------------------------------+
| description |       Openstack S3 Service       |
|   enabled   |               True               |
|      id     | 1d219df84e8f47f6a531856996e612c7 |
|     name    |             swift_s3             |
|     type    |                s3                |
+-------------+----------------------------------+


Actual results:
Output of step #3 (truncated by unrelated columns):
+----------------------------------+-----------+---    --+----------------------------------+
|                id                |   region  |   ...   |            service_id            |
+----------------------------------+-----------+---   ---+----------------------------------+
| b5f0dc8e99964299bb7963f55a68e8cf | regionOne |   ...   | 1d219df84e8f47f6a531856996e612c7 |
+----------------------------------+-----------+---   ---+----------------------------------+



Expected results:
Output of step #3 shouldn't show any row with service. All services should belong to same region - specified in packstack answerfile.

Additional info:
Comment 2 Martin Magr 2015-10-23 05:56:48 EDT
[para@localhost ~(keystone_admin)]$ keystone endpoint-list | grep -v RegionOne; rpm -qa openstack-packstack
/usr/lib/python2.7/site-packages/keystoneclient/shell.py:65: DeprecationWarning: The keystone CLI is deprecated in favor of python-openstackclient. For a Python library, continue using python-keystoneclient.
  'python-keystoneclient.', DeprecationWarning)
+----------------------------------+-----------+---------------------------------------------------+---------------------------------------------------+----------------------------------------------+----------------------------------+
|                id                |   region  |                     publicurl                     |                    internalurl                    |                   adminurl                   |            service_id            |
+----------------------------------+-----------+---------------------------------------------------+---------------------------------------------------+----------------------------------------------+----------------------------------+
+----------------------------------+-----------+---------------------------------------------------+---------------------------------------------------+----------------------------------------------+----------------------------------+
openstack-packstack-2015.1-0.11.dev1589.g1d6372f.el7ost.noarch
[para@localhost ~(keystone_admin)]$

Note You need to log in before you can comment on or make changes to this bug.